> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/dex-2.0/bucket-contract/on-chain-views-overview/get_user_candidate.md).

# get\_user\_candidate

This on-chain view returns current candidate of a user in voting. If a user didn't vote before, contract's current delegated baker will be returned.

### Call parameters

| Field | Type    | Description                                                        |
| ----- | ------- | ------------------------------------------------------------------ |
| user  | address | The user by which you want to find out the candidate in the voting |

### Return type

```pascaligo
key_hash
```

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const bucketAddress = "KT1...";
const user = "tz1.../KT1...";
const viewCaller = "tz1...";
const bucket = await tezos.contract.at(bucketAddress);
const candidate = await bucket.contract.contractViews.get_user_candidate(user).executeView({ viewCaller: viewCaller });
```

{% endtab %}
{% endtabs %}

### Errors

A view doesn't throw any errors.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/dex-2.0/bucket-contract/on-chain-views-overview/get_user_candidate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
